 

import 'package:flutter/widgets.dart';

abstract class DemonState<T extends StatefulWidget> extends State<T> {
  // 是否已经加载
  bool isMounted = true;

  @override
  void dispose() {
    super.dispose();
    isMounted = false;
  }

  @override
  void setState(VoidCallback fn) {
    if (isMounted) {
      super.setState(fn);
    }
  }
}
